Resumo agregado por status
Authorization
bearer In: header
Query Parameters
Opaque cursor from CursorPaginationDto.cursor. Use next_cursor or previous_cursor from the previous response.
Page size from CursorPaginationDto.limit.
201 <= value <= 100Full-text search term from CursorPaginationDto.search.
Include soft-deleted records from CursorPaginationDto.with_deleted.
falseInclude payload JSON search from CursorPaginationDto.include_payload_search when supported by the endpoint.
falseSort expression from CursorPaginationDto.sort in the format field:order (for example created_at:desc).
Exact match for "reference_code" (string)
Not equal filter for "reference_code" (string)
Contains filter for "reference_code"
Does not contain filter for "reference_code"
Exact match for "status" (string)
Not equal filter for "status" (string)
Contains filter for "status"
Does not contain filter for "status"
Exact match for "amount" (number)
Not equal filter for "amount" (number)
Greater than filter for "amount" (number)
Greater than or equal filter for "amount" (number)
Less than filter for "amount" (number)
Less than or equal filter for "amount" (number)
Exact match for "due_date" (ISO 8601 date (YYYY-MM-DD))
Not equal filter for "due_date" (ISO 8601 date (YYYY-MM-DD))
Greater than filter for "due_date" (ISO 8601 date (YYYY-MM-DD))
Greater than or equal filter for "due_date" (ISO 8601 date (YYYY-MM-DD))
Less than filter for "due_date" (ISO 8601 date (YYYY-MM-DD))
Less than or equal filter for "due_date" (ISO 8601 date (YYYY-MM-DD))
Exact match for "issue_date" (ISO 8601 date (YYYY-MM-DD))
Not equal filter for "issue_date" (ISO 8601 date (YYYY-MM-DD))
Greater than filter for "issue_date" (ISO 8601 date (YYYY-MM-DD))
Greater than or equal filter for "issue_date" (ISO 8601 date (YYYY-MM-DD))
Less than filter for "issue_date" (ISO 8601 date (YYYY-MM-DD))
Less than or equal filter for "issue_date" (ISO 8601 date (YYYY-MM-DD))
Exact match for "supplier_id" (UUID)
uuidNot equal filter for "supplier_id" (UUID)
uuidExact match for "financial_account_id" (UUID)
uuidNot equal filter for "financial_account_id" (UUID)
uuidExact match for "financial_category_id" (UUID)
uuidNot equal filter for "financial_category_id" (UUID)
uuidExact match for "payment_method_id" (UUID)
uuidNot equal filter for "payment_method_id" (UUID)
uuidExact match for "installment_group_id" (UUID)
uuidNot equal filter for "installment_group_id" (UUID)
uuidExact match for "created_at" (ISO 8601 date (YYYY-MM-DD))
Not equal filter for "created_at" (ISO 8601 date (YYYY-MM-DD))
Greater than filter for "created_at" (ISO 8601 date (YYYY-MM-DD))
Greater than or equal filter for "created_at" (ISO 8601 date (YYYY-MM-DD))
Less than filter for "created_at" (ISO 8601 date (YYYY-MM-DD))
Less than or equal filter for "created_at" (ISO 8601 date (YYYY-MM-DD))
Exact match for "updated_at" (ISO 8601 date (YYYY-MM-DD))
Not equal filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))
Greater than filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))
Greater than or equal filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))
Less than filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))
Less than or equal filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.biterp.ai/payables/summary"{
"data": [
{
"status": "pending",
"total_count": 0,
"total_amount": "string"
}
],
"pagination": {
"limit": 0,
"has_next_page": true,
"has_previous_page": true,
"current_query_cursor": "string",
"current_page_cursor": "string",
"next_cursor": "string",
"previous_cursor": "string"
},
"meta": {
"filters": {},
"search": "string",
"sort": {
"field": "string",
"order": "asc"
}
}
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}
